Apache Tomcat 6.0.51

## org.apache.el.parser
Class ArithmeticNode

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.ArithmeticNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  AstDiv, AstMinus, AstMod, AstMult, AstPlus

    public class ArithmeticNode

extends SimpleNode

Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`ArithmeticNode(int i)`

Method Summary
`java.lang.Class` | `getType(EvaluationContext ctx)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, dump, equals, getImage, getMethodInfo, getValue, hashCode, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArithmeticNode

    public ArithmeticNode(int i)

Parameters:
  `i` -

Method Detail

### getType

    public java.lang.Class getType(EvaluationContext ctx)
                            throws javax.el.ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.